dual_screen 0.0.2-dev
dual_screen: ^0.0.2-dev

discontinued

Flutter plugin for determing whether the device supports dual screen and whether the app is currently spanned across both screen.

dual_screen #

A Flutter plugin to determine whether the device supports dual screen and whether the app is currently spanned across both screen.

Usage #

import 'package:dual_screen/dual_screen.dart';

Determine whether the app is run on a dual screen device

bool isDualDevice = await DualScreen.isDualScreenDevice;

Determine whether the app is currently spanned across both screens

bool isAppSpanned = await DualScreen.isAppSpanned;

Subscribing to app spanned across both screen stream

DualScreen.isAppSpannedStream().listen((data) => setState(() => _isAppSpannedStream = data));

Getting Started #

See the example directory for a complete sample app

Issues and feedback #

Please file issues, bugs, or feature requests in our github issue tracker.

0
likes
0
pub points
0%
popularity

Publisher

builttoroam.com

Flutter plugin for determing whether the device supports dual screen and whether the app is currently spanned across both screen.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

Dependencies

flutter

More

Packages that depend on dual_screen